package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.eas.custom.integration.feishu.app.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class FeishuMessage extends CoreBillBase implements IFeishuMessage
{
    public FeishuMessage()
    {
        super();
        registerInterface(IFeishuMessage.class, this);
    }
    public FeishuMessage(Context ctx)
    {
        super(ctx);
        registerInterface(IFeishuMessage.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("AD2A20DE");
    }
    private FeishuMessageController getController() throws BOSException
    {
        return (FeishuMessageController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public FeishuMessageCollection getFeishuMessageCollection() throws BOSException
    {
        try {
            return getController().getFeishuMessageCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public FeishuMessageCollection getFeishuMessageCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getFeishuMessageCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public FeishuMessageCollection getFeishuMessageCollection(String oql) throws BOSException
    {
        try {
            return getController().getFeishuMessageCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public FeishuMessageInfo getFeishuMessageInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getFeishuMessageInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public FeishuMessageInfo getFeishuMessageInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getFeishuMessageInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public FeishuMessageInfo getFeishuMessageInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getFeishuMessageInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *同步飞书消息-User defined method
     *@param billId 单据id
     */
    public void syncMessage(String billId) throws BOSException, EASBizException
    {
        try {
            getController().syncMessage(getContext(), billId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}